# Uses of Interface
org.apache.commons.math3.fitting.leastsquares.LeastSquaresOptimizer.Optimum

Packages that use LeastSquaresOptimizer.Optimum
Package
Description
org.apache.commons.math3.fitting.leastsquares
This package provides algorithms that minimize the residuals between observations and model values.

## Uses of LeastSquaresOptimizer.Optimum in org.apache.commons.math3.fitting.leastsquares

Methods in org.apache.commons.math3.fitting.leastsquares that return LeastSquaresOptimizer.Optimum
Modifier and Type
Method
Description
`LeastSquaresOptimizer.Optimum`
GaussNewtonOptimizer.`optimize(LeastSquaresProblem lsp)`
Solve the non-linear least squares problem.
`LeastSquaresOptimizer.Optimum`
LeastSquaresOptimizer.`optimize(LeastSquaresProblem leastSquaresProblem)`
Solve the non-linear least squares problem.
`LeastSquaresOptimizer.Optimum`
LevenbergMarquardtOptimizer.`optimize(LeastSquaresProblem problem)`
Solve the non-linear least squares problem.